Package org.pushingpixels.substance.swingx

# Class SubstanceDatePickerUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.jdesktop.swingx.plaf.DatePickerUI
org.jdesktop.swingx.plaf.basic.BasicDatePickerUI
org.pushingpixels.substance.swingx.SubstanceDatePickerUI

public class SubstanceDatePickerUI extends org.jdesktop.swingx.plaf.basic.BasicDatePickerUI
Substance-consistent UI delegate for `JXDatePicker`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jdesktop.swingx.plaf.basic.BasicDatePickerUI

`org.jdesktop.swingx.plaf.basic.BasicDatePickerUI.BasicDatePickerPopup, org.jdesktop.swingx.plaf.basic.BasicDatePickerUI.EditorCancelAction, org.jdesktop.swingx.plaf.basic.BasicDatePickerUI.PopupRemover`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JButton`
`substancePopupButton`
`protected PropertyChangeListener`
`substancePropertyChangeListener`

### Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicDatePickerUI

`datePicker, mouseListener, mouseMotionListener, propertyChangeListener`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceDatePickerUI()`

## Method Summary

Modifier and Type
Method
Description
`protected JFormattedTextField`
`createEditor()`
`protected LayoutManager`
`createLayoutManager()`
`protected JButton`
`createPopupButton()`
`static ComponentUI`
`createUI(JComponent comp)`
`void`
`hidePopup()`
`protected void`
`installDefaults()`
`protected void`
`installListeners()`
`void`
`installUI(JComponent c)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`uninstallListeners()`
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicDatePickerUI

`cancel, commit, createEditorActionListener, createEditorPropertyListener, createFocusListener, createMonthViewActionListener, createMonthViewPropertyListener, createMonthViewSelectionListener, createMouseListener, createMouseMotionListener, createPopupMenuListener, createPropertyChangeListener, createTogglePopupAction, getBaseline, getMinimumSize, getPopupMenuListener, getPreferredSize, getSelectableDate, home, installComponents, installKeyboardActions, installLinkPanelKeyboardActions, installPopup, isPopupVisible, toggleShowPopup, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallLinkPanelKeyboardActions, uninstallPopup, updateEditorListeners, updateFormatsFromTimeZone, updateFromDateChanged, updateFromEditableChanged, updateFromEditorChanged, updateFromEnabledChanged, updateFromMonthViewChanged, updateFromSelectionChanged, updateFromSelectionModelChanged, updateFromValueChanged, updateLinkDate, updateLinkPanel, updateLocale, updateMonthViewListeners, updateSelectionModelListeners, updateTimeZone`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### substancePropertyChangeListener

protected PropertyChangeListener substancePropertyChangeListener

### substancePopupButton

protected JButton substancePopupButton

## Constructor Details

### SubstanceDatePickerUI

public SubstanceDatePickerUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `org.jdesktop.swingx.plaf.basic.BasicDatePickerUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `org.jdesktop.swingx.plaf.basic.BasicDatePickerUI`

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `org.jdesktop.swingx.plaf.basic.BasicDatePickerUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `org.jdesktop.swingx.plaf.basic.BasicDatePickerUI`

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `org.jdesktop.swingx.plaf.basic.BasicDatePickerUI`

### createPopupButton

protected JButton createPopupButton()

Overrides:
  `createPopupButton` in class `org.jdesktop.swingx.plaf.basic.BasicDatePickerUI`

### hidePopup

public void hidePopup()

Overrides:
  `hidePopup` in class `org.jdesktop.swingx.plaf.basic.BasicDatePickerUI`

### createEditor

protected JFormattedTextField createEditor()

Overrides:
  `createEditor` in class `org.jdesktop.swingx.plaf.basic.BasicDatePickerUI`

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `ComponentUI`

### createLayoutManager

protected LayoutManager createLayoutManager()

Overrides:
  `createLayoutManager` in class `org.jdesktop.swingx.plaf.basic.BasicDatePickerUI`